stl_uninitialized.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Functions

template<typename _InputIterator, typename _ForwardIterator>
_ForwardIterator | std::uninitialized_copy (_InputIterator __first, _InputIterator __last, _ForwardIterator __result)
template<typename _InputIterator, typename _Size, typename _ForwardIterator>
_ForwardIterator | std::uninitialized_copy_n (_InputIterator __first, _Size __n, _ForwardIterator __result)
template<typename _ForwardIterator>
void | std::uninitialized_default_construct (_ForwardIterator __first, _ForwardIterator __last)
template<typename _ForwardIterator, typename _Size>
_ForwardIterator | std::uninitialized_default_construct_n (_ForwardIterator __first, _Size __count)
template<typename _ForwardIterator, typename _Tp>
void | std::uninitialized_fill (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__x)
template<typename _ForwardIterator, typename _Size, typename _Tp>
_ForwardIterator | std::uninitialized_fill_n (_ForwardIterator __first, _Size __n, const _Tp &__x)
template<typename _InputIterator, typename _ForwardIterator>
_ForwardIterator | std::uninitialized_move (_InputIterator __first, _InputIterator __last, _ForwardIterator __result)
template<typename _InputIterator, typename _Size, typename _ForwardIterator>
pair< _InputIterator, _ForwardIterator > | std::uninitialized_move_n (_InputIterator __first, _Size __count, _ForwardIterator __result)
template<typename _ForwardIterator>
void | std::uninitialized_value_construct (_ForwardIterator __first, _ForwardIterator __last)
template<typename _ForwardIterator, typename _Size>
_ForwardIterator | std::uninitialized_value_construct_n (_ForwardIterator __first, _Size __count)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file stl_uninitialized.h.